SDL_BindGPUFragmentStorageBuffers(3)

NAME
SDL_BindGPUFragmentStorageBuffers - Binds storage buffers for use on the fragment shader.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_BindGPUFragmentStorageBuffers(
    SDL_GPURenderPass *render_pass,
    Uint32 first_slot,
    SDL_GPUBuffer *const *storage_buffers,
    Uint32 num_bindings);

DESCRIPTION
These buffers must have been created with SDL_GPU_BUFFERUSAGE_GRAPHICS_STORAGE_READ.

Be sure your shader is set up according to the requirements documented in SDL_CreateGPUShader().

FUNCTION PARAMETERS

render_pass
    a render pass handle.

first_slot
    the fragment storage buffer slot to begin binding from.

storage_buffers
    an array of storage buffers.

num_bindings
    the number of storage buffers to bind from the array.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUShader(3)